#  frc.defn.tcl

proc {Fera Readout Controller} {name c n} {
      define-register $name cCAMAC test         "-c$c -n$n -a0 -f8"
      define-register $name cCAMAC clear        "-c$c -n$n -a0 -f10"
      define-register $name cCAMAC disable_multi        "-c$c -n$n -a0 -f24"
      define-register $name cCAMAC enable_multi         "-c$c -n$n -a0 -f26"
      define-register $name cCAMAC testtimeout          "-c$c -n$n -a0 -f8 -q1"
      define-register $name cCAMAC reset        "-c$c -n$n -a1 -f10"
      define-register $name cCAMAC disable_single       "-c$c -n$n -a1 -f24"
      define-register $name cCAMAC enable_single        "-c$c -n$n -a1 -f26"
} 

proc {Fera Readout Controller_DAQ-reset} {args} {
#   frc
   set module [first $args]
#   if {[read-register $module.clear] != "%11"} then {no-QX $module.clear}
}

proc {Fera Readout Controller_DAQ-go} {args} {
#   frc
    set module [first $args]
    read-register $module.enable_multi
}

proc {Fera Readout Controller_DAQ-halt} {args} {
#   frc
    set module [first $args]
    read-register $module.disable_multi
}

#    for camacsaverestore
set {Fera Readout Controller_registersavepatterns} {}
